View Issue Details

IDProjectCategoryView StatusLast Update
0002924FreeCADBugpublic2017-12-02 14:45
Reporterkkremitzki Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0002924: Word wrap misbehaves in Python console when typed text inserted mid-line
DescriptionIn 0.16 and 0.17, follow these reproduction steps:
1. Enable word wrap in Python console.
2. Type, e.g., xyz = ().
3. Hit left arrow to move cursor inside of parentheses.
4. Type out an apostrophe (to begin writing a string) and then write a long string which triggers a word wrap.
5. You should be able to hit an apostrophe and enter to send a successful Python command at this point, but that does not occur. The cursor is past the right parenthesis.
Tagsconsole
FreeCAD Information

Relationships

related to 0002923 closedwmayer Python console history misbehaves with word-wrapped lines 

Issue History

Date Modified Username Field Change
2017-02-24 21:07 kkremitzki New Issue
2017-03-10 06:25 Kunda1 Tag Attached: console
2017-03-10 06:28 Kunda1 Relationship added related to 0002923
2017-12-02 14:45 wmayer Assigned To => wmayer
2017-12-02 14:45 wmayer Status new => closed
2017-12-02 14:45 wmayer Resolution open => fixed
2017-12-02 14:45 wmayer Fixed in Version => 0.17
2017-12-02 14:45 wmayer Note Added: 0010508